Get File by ID
Get a single File by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
file_id
ID of the File.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
archiveReason
archived
createdAt
creator
currentVersionId
displayId
folder
id
modifiedAt
name
scratchFile
versions
Published versions of the File, newest first.
externalFileIdDeprecated
Use scratchFile to access externalFileId.
filenameDeprecated
Use scratchFile to access filename.
mimeTypeDeprecated
Use scratchFile to access mimeType.
Errors
400
File Get Request Bad Request Error
403
File Get Request Forbidden Error
404
File Get Request Not Found Error
429
File Get Request Too Many Requests Error
500
File Get Request Internal Server Error